## installation-guide 20060102ubuntu7

=== debian/changelog ===
installation-guide (20060102ubuntu7) dapper; urgency=low

  * build/entities/common.ent, en/hardware/memory-disk-requirements.xml:
    Update requirements for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 16:40:18 +0100

installation-guide (20060102ubuntu6) dapper; urgency=low

  * build/entities/common.ent: Set release to "6.06 LTS".

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 16:01:34 +0100

installation-guide (20060102ubuntu5) dapper; urgency=low

  * Document new passwd/root-login question (user-setup 1.1).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 15:56:54 +0100

installation-guide (20060102ubuntu4) dapper; urgency=low

  * Rename doc-base.TEMPLATE to TEMPLATE.doc-base.  Malone #28512

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 25 Apr 2006 15:09:29 +0200

installation-guide (20060102ubuntu3) dapper; urgency=low

  * en/preparing/minimum-hardware-reqts.xml: Drop minimum memory requirement
    to 32MB.
  * en/appendix/preseed.xml: Note that an empty preseed file is equivalent
    to a normal manual installation (thanks, Nathan Sutton).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Mar 2006 11:22:09 +0000

installation-guide (20060102ubuntu2) dapper; urgency=low

  * debian/control: Comment out stanzas for non-Ubuntu architectures rather
    than changing the Architecture to disabled, to avoid the .dsc ending up
    with "Architecture: any".
  * build/buildone.sh: Add /usr/share/xml/declaration/xml.dcl to openjade
    invocation to work around Debian bug #345478.
  * Build-depend on libhtml-parser-perl for build/preseed.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jan 2006 14:32:54 +0000

installation-guide (20060102ubuntu1) dapper; urgency=low

  * Merge changes from debian-installer in breezy:
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Build only Ubuntu architectures (amd64, hppa, i386, ia64, powerpc,
      sparc).
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Describe X.Org rather than XFree86.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Direct installation reports to ubuntu-users for now.
    - Adjust various disk space requirements. Talk about the default Ubuntu
      desktop rather than Debian tasks.
    - Document mounting /sys in various places.
    - Unset supports-floppy-boot for all our architectures.
    - Add a few more supports-floppy-boot and bootable-usb conditionals.
    - Change references to /var/log/debian-installer to just
      /var/log/installer.
    - Disable discussion of MTA and PPP configuration.
    - Document our root password and sudo arrangements.
    - Talk about powerpc64 rather than power3 and power4.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Document Kickstart installations (currently only the basics, a
      reference to Red Hat's documentation, and the differences from
      Anaconda).
    - Mention /srv in the description of the filesystem hierarchy.
    - Document archive-copier.
  * Bump kernelversion to 2.6.15.
  * Bump release version and names for Dapper.
  * Bump x11ver to 7.0.
  * Update URL to README.mouse.
  * Update preseeding information.
  * Hardcode dapper in example preseed file, since the script that extracts
    example-preseed.txt doesn't expand entities like &releasename; (closes:
    Ubuntu #17578).
  * Update GNOME version to 2.12.
  * Update archive-copier documentation to reflect the new single-stage
    installer arrangements.
  * Re-enable documentation of iso-scan.
  * Adjust packaging to build the manual only for English and for Ubuntu
    architectures. Add installation-guide-amd64.
  * Hardcode SUITE to etch (yes, really; this makes sure features introduced
    upstream after sarge are documented).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Jan 2006 12:56:26 +0000

installation-guide (20060102) unstable; urgency=low

  [ Frans Pop ]
  * Fix build error caused by description for s390. Closes: #337382.
  * Update kernel package names and kernel versions per architecture.
  * Move documentation on preseeding to separate appendix for etch.
  * Use new, more flexible perl script to extract example preseed file from
    new appendix.
  * Set proper POT-Creation-Date when generating new POT files.
  * New translations started: Polish, Swedish, Vietnamese.
  * First release of Greek and Korean translations.
  * Exclude Traditional Chinese translation as it was not updated.
  * Switch release name to Etch (3.1+δ).

  [ Joey Hess ]
  * Update installation report template and instructions for etch.

 -- Frans Pop <fjp@debian.org>  Mon,  2 Jan 2006 18:44:59 +0100

installation-guide (20051025) unstable; urgency=low

  * Mention in copyright that full GPL is included in the manual.
    Closes: #334925
  * Register installed documents with doc-base.
  * Minor updates in English text and translations.

 -- Frans Pop <fjp@debian.org>  Tue, 25 Oct 2005 17:37:25 +0200

installation-guide (20051019) unstable; urgency=low

  [ Joey Hess ]
  * Split off from the debian-installer source package.
    See the changelog for debian-installer for older changelog entries.

  [ Frans Pop ]
  * Change over to building arch all packages in section doc. Build separate
    packages for each arch containing all translations.
  * Change package name to installation-guide.
  * Include translations already available on official website.

 -- Frans Pop <fjp@debian.org>  Tue, 18 Oct 2005 17:12:35 +0200
