## installation-guide 20060726ubuntu5

=== debian/changelog ===
installation-guide (20060726ubuntu5) edgy; urgency=low

  * en/appendix/preseed.xml, en/using-d-i/modules/lilo-installer.xml: Device
    name updates for no-more-devfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 21:50:19 +0100

installation-guide (20060726ubuntu4) edgy; urgency=low

  * Various fixes to chroot-install guide (see Malone #64765):
    - Adjust chroot-install guide to take account of debootstrap being
      Architecture: all now (backported from trunk).
    - Reconfigure console-setup, not console-data.
    - Point to language packs rather than suggesting reconfiguring locales.
    - Add a bit more advice about installing grub.
    - Fix tasksel instructions.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Oct 2006 14:39:56 +0100

installation-guide (20060726ubuntu3) edgy; urgency=low

  * Backport from trunk:
    - Fix incorrect documentation on preseeding additional apt sources.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Oct 2006 14:17:50 +0100

installation-guide (20060726ubuntu2) edgy; urgency=low

  * Update Kickstart documentation for %packages and keyboard changes in
    Edgy.
  * Update keyboard preseeding documentation for console-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 11:47:20 +0100

installation-guide (20060726ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Remove archive-copier documentation.
  * Bump kernelversion to 2.6.17.
  * Bump release version and names for Edgy.
  * Bump x11ver to 7.1.
  * Switch back to documenting tasksel, and update some places with Ubuntu
    task information.
  * Update GNOME version to 2.16.
  * Update Ubuntu branding. Fill in "Further Reading" section with some
    useful Ubuntu-related links.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  6 Aug 2006 17:35:34 +0100

installation-guide (20060726) unstable; urgency=low

  [ Joey Hess ]
  * Update kernel building section to conditionalise some more 2.4 kernel
    stuff.
  * Suggest passing --initrd to make-kpkg since the docs say nothing about
    compiling disk drivers into the kernel.
  * Document new passwd/root-login setting.
  * Booting a USB stick via a boot floppy is not supported by current
    installer images.
  * Update preseeding docs to use task names, not short descriptions, since
    that will work now and is more convenient for preseeding.
  * Document the kde-desktop and gnome-desktop subtasks.

  [ Frans Pop ]
  * Various corrections suggested by Clytie Siddall.
  * chroot-install:
    - add /etc/hosts to be created for network configuration (closes: #364517)
    - make kernel/linux-image variable (closes: #345482)
  * Document -- command line option for passing parameters to boot loader
    configuration (closes: #309889).
  * Switch Finnish from XML-based to PO-based translation.
  * Bring numbering and layout of GPL more in line with original. With thanks
    to Holger Wansing.
  * Add functionality to include optional paragraphs in translations.
    Initially two have been defined:
    - a paragraph in bookinfo for information about the translation;
    - a note in appendix/gpl.xml required with unofficial GPL translations.

  [ Joey Hess ]
  * Document new preseed/run setting.
  * Prebaseconfig renamed to finish-install, which changes some documentation,
    and. notably, renames one of the xml files.
  * hd-media size changed to 256 mb.
  * Document new aliases added in preseed 1.17 for common debconf boot
    parameters: fb, url, file, locale, interface.

  [ Frans Pop ]
  * Document guided partitioning using LVM and update partitioning section.

  [ Martin Michlmayr ]
  * The RiscPC flavour is now known as "rpc" rather than "riscpc".
  * As of 2.6, r4k-ip22 also rupports r5k machines do the r5k-ip22 flavour
    has been dropped.

  [ Holger Levsen ]
  * Added the remaining suggestions about nubus and non-powerpc macs
    (closes: #364546).
  * Restructured the chapter about powerpc supported hardware, moved
    unsupported machines to the end.
  * Updated the information about existing kernel flavours.

  [ Miroslav Kure ]
  * Document installation to encrypted partitions (partman-crypto).
  * Update XOrg to 7.0.

  [ Frans Pop ]
  * Etch has been assigned version 4.0.
  * Update kernel versions to 2.6.16.
  * Base languages to be built for website on list of release languages.
  * arm, mips and mipsel switched to 2.6 kernels.
  * Enable Brazillian Portuguese and Vietnamese translation for release.
  * Disable Greek translation as it is too incomplete.

 -- Frans Pop <fjp@debian.org>  Wed, 26 Jul 2006 07:27:52 +0200

installation-guide (20060427) unstable; urgency=low

  [ Joey Hess ]
  * Update preseeding docs for base-config removal.
  * Add documentation of how to change apt-setup security source with
    preseeding.
  * Remove the sarge preseeding docs.
  * Remove mentions of base-config and move base-config stuff to elsewhere.
  * Add documentation of apt-setup, user-setup, clock-setup, tzsetup, and
    pkgsel.
  * Change some references to tty3 (messages) to instead refer to tty4
    (syslog).
  * Change references to /var/log/debian-installer to just /var/log/installer.
  * Remove docs for baseconfig-udeb; going away with base-config.
  * Removed various bits of sarge cruft when it made things easier.

  [ Frans Pop ]
  * Change default build to Etch.
  * Remove all Sarge specific content and make Etch specific content default.
  * Delete some obsolete entities.
  * Change references from package d-i-manual to package installation-guide.
  * Explicitly specify XML declaration as required by openjade 1.4devel1-15
    (closes: #360241).
  * Update appendix on chroot installs:
    - mention that debootstrap also requires basic Unix/Linux commands;
    - comment out link to outdated rpm packages of debootstrap.

  [ Colin Watson ]
  * Add a few more supports-floppy-boot and bootable-usb conditionals to
    make it easier to turn all this off in rebuilds of the manual.

