=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-	dh_gencontrol -i -- -Vkernel:Package='$(KERNELPACKAGE)'
+	dh_gencontrol -i
 	dh_builddeb -i
 
 	# Create a tarball for each arch for use in debian-cd
