## installation-guide 20060726ubuntu6

=== debian/changelog ===
installation-guide (20060726ubuntu6) feisty; urgency=low

  * en/appendix/preseed.xml: Document console-setup/ask_detect.
  * en/appendix/preseed.xml: Don't claim that devfs paths are allowed (the
    preseed examples were correct, but the surrounding text was wrong;
    LP: #65493).
  * build/buildweb.sh, build/entities/urls.ent,
    en/preparing/needed-info.xml: Fix links to web copies of installation
    manual (LP: #53691) and example preseed file (LP: #78711).
  * Bump kernelversion to 2.6.20.
  * Bump release version and names for Feisty.
  * Update GNOME version to 2.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jan 2007 22:12:08 +0000
