## installation-guide 20070319

=== debian/changelog ===
installation-guide (20070319) unstable; urgency=low

  [ Frans Pop ]
  * Cleaned up definitions of some entities and removed unused ones.
  * Implement infrastructure that allows entities to be translated.
    Thanks to Miroslav Kure for providing the patch. Closes: #344048, #406515.
  * Disable Korean PDF/PS formats for builds for the website.
  * appendix/files: update information about mouse configuration, based on a
    patch from Peter Samuelson (for which thanks). Closes: #406290.
  * boot-installer, appendix/preseed: document preseed/interactive parameter.

  [ Joey Hess ]
  * Fix package name for installation-reports, and manual unfuzzy of all
    translations. Closes: #408408

  [ Frans Pop ]
  * welcome:
    - make links to FSF and GNU more consistent (closes: #410317)
    - we do not necessarily share the ideals of the FSF (closes: #410129)
    Thanks to Francesco Poli for suggesting these changes.
  * using-d-i: guided partitioning now creates swap inside LVM.
    Thanks to Francesco Poli. Closes: #411399.
  * Document installs over PPPoE. Based on a text proposed by Eddy Petrisor.
    Closes: #408340.
  * installation-howto: update for the integration of base-config into D-I.
  * appendix/preseed:
    - as exim no longer asks any questions during installations, there is no
      real need to document it anymore
    - add link to Philip Hand's website as it contains many creative examples
    - document how to select the ftp protocol during mirror selection
    - document how to install from CD/DVD only (and not use a network mirror)
  * Update base/standard system and task sizes.

  [ Joey Hess ]
  * Document debian-installer/allow_unauthenticated.

  [ Wouter Verhelst ]
  * Update mac68k installation after notes from Finn Thain, upstream mac68k
    kernel hacker.

  [ Frans Pop ]
  * Replace entity in example-preseed.txt file. Thanks to Geert Stappers for
    spotting the error. Closes: #413257.

 -- Frans Pop <fjp@debian.org>  Mon, 19 Mar 2007 15:00:12 +0100

installation-guide (20070122) unstable; urgency=low

  * Enable Catalan, Brazillian, Korean and Spanish again.
  * Enable new Hungarian translation.

 -- Frans Pop <fjp@debian.org>  Mon, 22 Jan 2007 12:41:57 +0100

installation-guide (20070115) unstable; urgency=low

  [ Colin Watson ]
  * Document new pkgsel/include setting.
  * Fix incorrect documentation on preseeding additional apt sources.
  * Fix typo in hppa hardware support documentation
    (https://launchpad.net/bugs/55164).
  * Adjust chroot-install guide to take account of debootstrap being
    Architecture: all now (https://launchpad.net/bugs/64765).

  [ Frans Pop ]
  * Various corrections suggested by Clytie Siddall and Holger Wansing.
    Closes: #378404, #370484, #370425.
  * Update instructions on how to set module parameters for PLIP installation.
  * Update chroot install instructions to use aptitude instead of apt-get.
  * Add /srv in overview of directory tree in partitioning appendix.
  * Update section on partitioning using LVM to reflect recent changes.
  * Apply various patches by or based on suggestions from Nathanael Nerode.
    Some of the bigger changes include:
    - Update of processor support for the i386 architecture.
    - Update information on setting up a RARP server.
  * Add variant for the AMD64 architecture. Closes: #305977.
  * Suppress warnings about missing IDs for sections and such.
  * Reorganize supported hardware table; i386 no longer has flavors.
  * Document SMP-alternatives as one of the variants of SMP support.
  * Document how to shut down the system. Based on patch from Holger Levsen.
    Closes: #248067.

  [ Miroslav Kure ]
  * Update information about booting with encrypted partitions.
    Closes: #378651.

  [ Joey Hess ]
  * Update preseeding docs to document listing more than one disk for
    partman-auto/disk and grub-installer/bootdev

  [ Changwoo Ryu ]
  * Add support for Korean PDF output. Requires latex-hangul-ucs-hlatex.
    Closes: #381657.

  [ David Härdeman ]
  * Update preseeding documentation for partman-auto.

  [ Frans Pop ]
  * Correct error for alpha netboot installations. Thanks to Aurélien Géröme.
    Closes: #386591.
  * Correct number of release arches. Thanks to Holger Wansing. Closes: #384321.
  * Minor corrections suggested by Malcolm Parsons. Closes: #388138.
  * Document new boot parameters theme and directfb/hw-accel.
  * Remove now obsolete distinction between classic and common kpkg.
  * Update all arches to kernel version 2.6.17.
  * Set default value for manual_release in build wrapper scripts.
  * Add new section in preseeding appendix on partman-auto-raid. Not included
    in preseed text file as it is still somewhat experimental.
  * Document changes in guided partitioning and added encrypted LVM support.
  * Disable m68k for official builds as it is not a release architecture.
  * buildweb.sh: use 'mv -f' to avoid errors during builds on the webserver.
  * Minor corrections suggested by Clytie Siddall. Closes: #394413, #394471.
  * Update task sizes as per D-I RC1.
  * New troubleshooting section on how to deal with CD-ROM related problems.
  * Document how to pass parameters to kernel modules on boot.
  * Document how to install KDE instead of Gnome in the section on pkgsel.

  [ Joey Hess ]
  * Update for recent floppy changes.
  * Remove hardcoded paths to executables in buildone.sh.
  * Set HOME to a temporary directory before running w3m, to avoid it
    trying to write to a home directory that may not exist on the buildds.
    (See #393641)
  * Update the installation report template to match current one in
    installation-report.

  [ Philip Hands ]
  * Clarify how -- affects which parameters end up in the target system's
    bootloader's command line.

  [ Joey Hess ]
  * Applied Phil's auto mode documentation patch, edited it, and moved
    some things around for clarity. Closes: #395910
  * Document auto=true boot parameter.

  [ Frans Pop ]

