=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 LANGS=$(shell cd debian; ./getfromlist langlist)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-#SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+ifeq (${SUITE},unstable)
 SUITE=etch
+endif
 
 MANTMP=$(shell pwd)/debian/manual
 
@@ -30,7 +32,7 @@
 		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)" ; \
 		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
 			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
-			TEMPLATE.doc-base > installation-guide-$$arch.doc-base.$$lang ; \
+			doc-base.TEMPLATE > installation-guide-$$arch.doc-base.$$lang ; \
 		done ; \
 	    done
 	touch $@
@@ -52,22 +54,22 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs -i
+	dh_installdirs
 	
 binary-arch:
 
 binary-indep: install doc-base
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -i
+	dh_installchangelogs
 	for arch in $(ARCHS) ; do \
 		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
 	done
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_builddeb -i
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_builddeb
 
 	# Create a tarball for each arch for use in debian-cd
 	# Note: these should be uploaded manually
