## installation-guide 20070319ubuntu2

=== debian/changelog ===
installation-guide (20070319ubuntu2) gutsy; urgency=low

  * Correct URLs pointing to example-preseed.txt (LP: #135502).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Aug 2007 13:00:45 +0100

installation-guide (20070319ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Build only Ubuntu architectures (amd64, hppa, i386, ia64, powerpc,
      sparc).
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Direct installation reports to ubuntu-users for now.
    - Adjust various memory and disk space requirements. Talk about the
      default Ubuntu desktop and Ubuntu tasks rather than Debian tasks.
    - Document mounting /sys in various places.
    - Unset supports-floppy-boot for all our architectures.
    - Add a few more supports-floppy-boot and bootable-usb conditionals.
    - Document our root password and sudo arrangements.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Document Kickstart installations (currently only the basics, a
      reference to Red Hat's documentation, and the differences from
      Anaconda).
    - Note that an empty preseed file is equivalent to a normal manual
      installation.
    - Rename doc-base.TEMPLATE to TEMPLATE.doc-base.
    - Update keyboard preseeding documentation for console-setup.
    - Update chroot-install guide for console-setup and language packs; add
      a bit more advice about installing grub.
    - Remove text talking about devfs-style device names, which are no
      longer supported.
    - Fix links to web copies of installation manual and example preseed
      file.
  * Bump kernelversion to 2.6.22.
  * Bump x11ver to 7.3.
  * Bump GNOME version to 2.20.
  * Bump release version and names for Gutsy (LP: #119177).
  * Refer to the standard task rather than ubuntu-standard.
  * Disable documentation of the GTK frontend.
  * Remove latex-hangul-ucs-hlatex build-dependency, as we don't build for
    Korean.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jul 2007 15:52:44 +0100
